Package com.independentsoft.msg

# Class ExtendedPropertyName

java.lang.Object
com.independentsoft.msg.ExtendedPropertyTag
com.independentsoft.msg.ExtendedPropertyName

public class ExtendedPropertyName extends ExtendedPropertyTag
Identifies a named (extended) MAPI property by its string name within a property set. The property set is specified by the `GUID` and the value type by `type`.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.msg.ExtendedPropertyTag

  `guid, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedPropertyName()`
  Initializes a new instance of the `ExtendedPropertyName` class.
  `ExtendedPropertyName​(String name, byte[] guid)`
  Initializes a new instance of the `ExtendedPropertyName` class.
  `ExtendedPropertyName​(String name, byte[] guid, PropertyType type)`
  Initializes a new instance of the `ExtendedPropertyName` class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the name.
  `void`
  `setName​(String name)`
  Sets the name.
  `String`
  `toString()`
  Returns a `String` that represents this instance.

  ### Methods inherited from class com.independentsoft.msg.ExtendedPropertyTag

  `getGuid, getType, setGuid, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExtendedPropertyName

    public ExtendedPropertyName()
    Initializes a new instance of the `ExtendedPropertyName` class.

  - ### ExtendedPropertyName

    public ExtendedPropertyName​(String name, byte[] guid)
    Initializes a new instance of the `ExtendedPropertyName` class.
    Parameters:
      `name` - the name
      `guid` - the unique identifier

  - ### ExtendedPropertyName

    public ExtendedPropertyName​(String name, byte[] guid, PropertyType type)
    Initializes a new instance of the `ExtendedPropertyName` class.
    Parameters:
      `name` - the name
      `guid` - the unique identifier
      `type` - the type

- ## Method Details

  - ### toString

    public String toString()
    Returns a `String` that represents this instance.
    Overrides:
      `toString` in class `Object`
    Returns:
      a `String` that represents this instance

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the name